
Redmine - Defect #1626

2 characters identifier too short?

2008-07-11 22:39 - Leandro Lucarella

Status: Closed Start date: 2008-07-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version: 0.7.2

Description

I have a project which name consist in 2 characters. I want to identify it with 2 characters too but Redmine fails creating it

complaining about the identifier being too short (which is specified in the form). I can't understand why a project identifier can't be 2

(or even 1!) character long.

It's possible to change that validation?

Thanks!

Related issues:

Related to Redmine - Defect #3073: Minimum identifier lenght should be 1 Closed 2009-03-30

History

#1 - 2008-07-11 23:09 - Leandro Lucarella

- File redmine.identifier.patch added

I've attached a trivial patch against 0.7 svn branch that do the trick.

#2 - 2008-07-11 23:11 - Leandro Lucarella

- File redmine.identifier.patch added

Ups! Broken patch attached, here is the correct one...

#3 - 2008-08-21 09:21 - Thomas Lecavelier

you should introduce a test case about that patch.

#4 - 2008-08-21 15:14 - Leandro Lucarella

I'm sorry, I'm not a RoRer nor a Rubyier, I managed to make the patch because it was trivial, but I have no idea of how to make a testecase for

redmine.

I'll appreciate instructions or that somebody else do it.

Thank you

#5 - 2009-01-03 15:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.1

- Resolution set to Fixed

r2221 lowers this limit to 2.

#6 - 2009-01-03 16:34 - Leandro Lucarella

Thanks!

May I ask why not to have a limit of 1?

#7 - 2009-03-29 04:31 - Leandro Lucarella
https://www.redmine.org/projects/redmine/repository/svn/revisions/2221


- Status changed from Closed to Reopened

I'm reopening the bug because I don't see any reason to set the limit to 2 instead of 1 (i.e. non-empty).

#8 - 2009-03-30 13:39 - Anonymous

Please don't re-open bugs of a closed milestone.  What you've done is mark the 0.8.1 milestone as 'open' again when it was closed again.  I'd

suggest opening a new ticket and reference this one from the new one.

#9 - 2009-03-30 14:55 - Leandro Lucarella

Ok, I'm sorry, I just opened a new bug report (#3073). Unfortunately I can't re-close this one myself.

#10 - 2009-03-30 14:59 - Mischa The Evil

- Status changed from Reopened to Closed

As requested...

Files

redmine.identifier.patch 1.28 KB 2008-07-11 Leandro Lucarella

redmine.identifier.patch 1.25 KB 2008-07-11 Leandro Lucarella
